Goo::Canvas::Path(3)

NAME
Goo::Canvas::Path - wrapper for GooCanvasPath

HIERARCHY
  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Path

INTERFACES
  Goo::Canvas::Item

METHODS

  item = Goo::Canvas::Path->new ($parent, $path_data, ...)

•   $parent (Goo::Canvas::Item)

•   $path_data (string)

•   ... (list)

PROPERTIES

'data' (string : default undef : writable)
    The sequence of path commands

'height' (double : default 0 : readable / writable)
    The height of the path

'width' (double : default 0 : readable / writable)
    The width of the path

'x' (double : default 0 : readable / writable)
    The x coordinate of the path

'y' (double : default 0 : readable / writable)
    The y coordinate of the path

SEE ALSO
Glib::Object, Goo::Canvas::ItemSimple

COPYRIGHT
Copyright (C) 2017 Gtk2-Perl Team